## ifupdown-extra 0.12

=== debian/changelog ===
ifupdown-extra (0.12) unstable; urgency=low

  * Change maintainer's email address

 -- Javier Fernandez-Sanguino Pen~a <jfs@debian.org>  Fri, 28 Dec 2007 02:34:51 +0100

ifupdown-extra (0.11) unstable; urgency=low

  * Move the package over to unstable, it is ready for mass consumption
  * if-up-scripts/check-duplicate-ip: Exit if the interface does not have
    an IP address asigned or none is provided. This prevents the script from
    breaking if used in systems with interfaces with no IP address (for
    example, in promiscuous mode)
  * if-up-scripts/check-gateway: 
      - if running as root do not use -D when calling arping but use -f
      instead (to return as soon as 1 reply has been received). -D does not
      work for all gateways
      - if not running as root, do use -D.
      - do not try to find out the status of the interface if not running as
      root.
      - work properly if multiple default gateways have been set.
  * network-test has been removed from debian-goodies, change the dependencies
    accordingly.

 -- Javier Fernandez-Sanguino Pen~a <jfs@debian.org>  Tue, 18 Dec 2007 21:12:50 +0100

ifupdown-extra (0.10) experimental; urgency=low

  * network-test:
      - Include patch provided by Federico Ceratto which adds command
        line support, allows the setting of a verbosity level and makes
        it possible to log to syslog based on that level. This patch
        is useful if the script is run through init, cron or other
        task-scheduling tool.
  * Updated conflicts: with debian-goodies, as network-test is still
    in there.

 -- Javier Fernandez-Sanguino Pen~a <jfs@debian.org>  Sun, 14 Oct 2007 23:17:58 +0200

ifupdown-extra (0.9) experimental; urgency=low

  * check-duplicate-ip:
    - Rename check-arping to check-duplicate-ip.
    - Add GPL header to the script.
    - Fix so it can work in DHCP environments by retrieving IF_ADDRESS from
      the interface information, also makes it easer to use this as a 
      standalone script.
  * check-gateway: 
    - Fix so it can work in DHCP environments by retrieving IF_GATEWAY from
      the current routing information.
    - Add GPL header to the script.
  * static-route: Add GPL header to the script.
  * network-test: Fix it so it can retrieve interface addresses properly (no
    CIDR) when using 'ip addr show'

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Mon, 18 Jun 2007 15:37:57 +0200 

ifupdown-extra (0.8) experimental; urgency=low

  * Conflict with the latest debian-goodies which still provides network-test

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Tue, 19 Dec 2006 02:59:56 +0100

ifupdown-extra (0.7) experimental; urgency=low

  * Make network-test use bash (Closes: #401363)

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Sun,  3 Dec 2006 08:45:54 +0100

ifupdown-extra (0.6) experimental; urgency=low

  [scripts/network-test]
  * Do not analyse resolv.conf lines that have been commented out.

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Tue, 28 Nov 2006 23:37:02 +0100

ifupdown-extra (0.5) experimental; urgency=low

  * Improve the debian/control file so that it now Depends: on host 
    and the different 'ping' providers (Closes: #400473).
  * Have it Depend on iputils-arping | arping
  * Change network-test so it does not complain loudly if ethtool is not
    installed (just recommends its installation)
  * Fix duplicate spaces in the script as well as some typos with patch
    provided by Norbert Kiesel (Closes: #400463)

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Sun, 26 Nov 2006 17:00:17 +0100

ifupdown-extra (0.4) experimental; urgency=low

  * Fix network link check in network-test

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Sat, 25 Nov 2006 15:55:47 +0100

ifupdown-extra (0.3) experimental; urgency=low

  * First upload (to experimental) to get wider exposure.
  * Upgrade debian-goodies conflict.

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Sat, 25 Nov 2006 13:09:41 +0100

ifupdown-extra (0.2) unstable; urgency=low

  * Change behaviour of network-test when testing ethernet link
    (based on 'check-network-cable' tests)

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Wed, 16 Aug 2006 22:33:34 +0200

ifupdown-extra (0.1) unstable; urgency=low

  * Initial Release.

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Sun, 13 Aug 2006 13:14:25 +0200
