=== debian/control ===
Source: ifupdown-extra
Section: admin
Priority: optional
Maintainer: Javier Fernandez-Sanguino Pen~a <jfs@debian.org>
Build-Depends: debhelper (>= 5)
Standards-Version: 3.7.2

Package: ifupdown-extra
Architecture: all
Depends: iproute, ping, netcat, iputils-arping | arping, net-tools, host
Recommends: ethtool
Conflicts: debian-goodies (< 0.39)
Description: Network scripts for ifupdown
 This package provides a set of network testing scripts to be used together
 with the ifupdown package. These scripts can:
   - check the network cable before an interface is configured.
   - test if an assigned IP address is already in use in the network.
   - test if default network gateways are reachable.
   - setup default static routes for interfaces.
 .
 This package also provides 'network-test', a script to test the network
 configuration status by checking:
   - Status of available interface.
   - Availability of configured gateway routes.
   - If host resolution is working properly (DNS checks).
   - If network connectivity is working, including ICMP and web connections to
     remote web servers.
