## ifupdown-extra 0.13

=== debian/changelog ===
ifupdown-extra (0.13) unstable; urgency=low

  * Fix syntax error in the static-routes script and clarify a comment
    when exiting as soon as we find that there is no
    /etc/network/network-routes file (Closes: 496600)

 -- Javier Fernandez-Sanguino Pen~a <jfs@debian.org>  Tue, 26 Aug 2008 12:17:27 +0200
