## ifupdown-extra 0.14

=== debian/changelog ===
ifupdown-extra (0.14) unstable; urgency=low

  * Apply a patch provided by Guillem Jover to make check-duplicate-ip work
    with interfaces with multiple interfaces (Closes: 507949)
  * Change handling of default values so that the environment variables
    are honored if set with patch provided by Osamu Aoki (Closes: 464715)
  * Change if-up-scripts/static-routes so that it complains if a line in
    /etc/network/static-routes is not defined as expected.

 -- Javier Fernandez-Sanguino Pen~a <jfs@debian.org>  Sat, 01 Aug 2009 01:26:04 +0200
