## ifupdown-extra 0.14.2

=== debian/changelog ===
ifupdown-extra (0.14.2) stable; urgency=low

  * Handle the configuration file through the use of dpkg-maintscript-helper
    instead of moving it directly to prevent dpkg from raising a conffile
    change prompt on upgrades even if the user has not made any changes. 

 -- Javier Fernández-Sanguino Peña <jfs@debian.org>  Fri, 14 Oct 2011 00:53:18 +0200

ifupdown-extra (0.14.1) stable; urgency=low

  [ Fold important bug fixes included in 0.15 and later ]
  * if-up-scripts/check-duplicate-ip: 
     - Location of ethtool has changed: adjust to the new location but fallback
       to the old one if it is still there.
  * if-up-scripts/check-network-cable: Location of ethtool has changed,
    adjust to the new location but fallback to the old one if it is
    still there.
  * if-up-scripts/static-routes: 
      - Fix typo that prevent the script from adding routes as it expected them
        to have 'reject' when they shouldn't. Thanks to Mathieu Parent 
        for the patch. (Closes: #613632) (LP: #631533)
      - Be strict when looking for routes associated to interface names
  * scripts/network-test: 
      - Fix call to mktemp to use --tmpdir so that the script does not break if
        run in a non-writable directory (Closes: #541619)
  * debian/ifupdown-extra.preinst: Rename the /etc/network/network-routes
    config file to /etc/network/routes (Closes: #611982)
  * debian/rules: 
      - Fix installation of the network-routes sample configuration file so
        that it is installed where it should be (/etc/network/routes instead of
        /etc/network/network-routes) (Closes: #611982)
  * scripts/network-test.1: Improve the manpage with more documentation
    of how it works

 -- Javier Fernández-Sanguino Peña <jfs@debian.org>  Sun, 12 Jun 2011 22:29:22 +0200
