=== debian/control ===
--- 
+++ 
@@ -8,8 +8,9 @@
 Package: ifupdown-extra
 Architecture: all
 Depends: iproute, ping, netcat, iputils-arping | arping, net-tools, host
+Pre-Depends: dpkg (>= 1.15.7.2)
 Recommends: ethtool
-Conflicts: debian-goodies (< 0.39)
+Conflicts: debian-goodies (<< 0.39)
 Description: Network scripts for ifupdown
  This package provides a set of network testing scripts to be used together
  with the ifupdown package. These scripts can:
