=== debian/rules ===
--- 
+++ 
@@ -47,7 +47,7 @@
 	dh_clean -k 
 	dh_installdirs
 	# Configuration files
-	install -m644 debian/network-routes  $(CURDIR)/debian/ifupdown-extra/etc/network/network-routes
+	install -m644 debian/network-routes  $(CURDIR)/debian/ifupdown-extra/etc/network/routes
 	install -m644 debian/network-test-default  $(CURDIR)/debian/ifupdown-extra/etc/default/network-test
 	# Network scripts for ifupdown
 	install -m755 if-up-scripts/check-network-cable  $(CURDIR)/debian/ifupdown-extra/etc/network/if-pre-up.d/00check-network-cable
