## ifupdown-extra 0.18

=== debian/changelog ===
ifupdown-extra (0.18) unstable; urgency=low

  * debian/control: Advertise that now sources are available in collab-maint.
  * if-up-scripts/static-routes: Be more strict when looking for 
    interfaces in the configuration file to avoid matching interfaces
    with similar names.
  * if-up-scripts/check-gateway: ajust how the ethtool binary alternative
    location is found

 -- Javier Fernandez-Sanguino Pen~a <jfs@debian.org>  Wed, 22 Jun 2011 01:30:45 +0200

ifupdown-extra (0.17) unstable; urgency=low

  * Move the network-cable test from /etc/network/if-pre-up.d/ to
   /etc/network/if-up.d/ so that it can behave properly and warn the sysadmin
   once the network cable is up.

 -- Javier Fernandez-Sanguino Pen~a <jfs@debian.org>  Sun, 24 Apr 2011 17:57:35 +0200

ifupdown-extra (0.16) unstable; urgency=low

  * if-up-scripts/check-duplicate-ip: 
    - Location of ethtool has changed: adjust to the new location but fallback
      to the old one if it is still there.
    - Make it possible to use arping's arping which: is located in another
      directory, interprets parameters differently and does not support -q.
    Thanks to Cristian Ionescu-Idbohrn for bringing up this issue
    and providing a patch which I base the changes on (Closes: #614056)
    - Do not try to determine the ip address for interfaces we are not going
      to arping to.
    - Add some warnings for unexpected events that prevent the script
      from working.
  * if-up-scripts/check-network-cable: Location of ethtool has changed,
    adjust to the new location but fallback to the old one if it is
    still there.

 -- Javier Fernandez-Sanguino Pen~a <jfs@debian.org>  Sun, 20 Feb 2011 13:58:38 +0100

ifupdown-extra (0.15) unstable; urgency=medium

  * if-up-scripts/static-routes: 
      - Fix typo that prevented the script from adding routes as it expected
        them to have 'reject' when they shouldn't. Thanks to Mathieu Parent and
        to Petru Ratiu for the patches. (Closes: #613632) (LP: #631533)
      - Add new functionality to support 'reject' routes in
        /etc/network/network-routes. Thanks to Petru Ratiu for the patch 
        (Closes: #458395)
  * scripts/network-test: 
      - Fix call to mktemp to use --tmpdir so that the script does not break if
        run in a non-writable directory (Closes: #541619)
      - Trap interrupts and abort under some circunstances, such as a
        Ctrl+C (LP: #450753)
  * debian/ifupdown-extra.preinst: Rename the /etc/network/network-routes
    config file to /etc/network/routes (Closes: #611982)
  * if-up-scripts/check-network-cable: Make the script work when bonding
    interfaces are used, using a patch provided by Ohad Lutzky (Closes: #574333)
  * [NEW] debian/ifupdown-extra.networking-routes.init: New init.d script
    to install global static networking routes which cannot be associated
    with any interface. This is useful for admins that want to share
    the configuration file /etc/network/routes through different systems
    in which the interface name changes or for 'reject' routes. 
    (Closes: #458395)
  * debian/rules: 
      - Fix installation of the network-routes sample configuration file so
        that it is installed where it should be (/etc/network/routes instead of
        /etc/network/network-routes) (Closes: #611982)
      - Install the new debian/ifupdown-extra.networking-routes.init as an
        init.d script running at 'S' runlevel right after the 'networking'
        script provided by netbase.
  * debian/TODO: An item was already done.
  * debian/control: Adapt description to indicate the new features included
    in the package.
  [ Lintian fixes ]
  * debian/copyright: 
     - Add proper copyright notice and use UTF-8 to put in my full name.
     - Indicate the copyright of code reused from SuSE's sysconfig
  * debian/control: Depend on 'iputils-ping | ping' instead of just ping

 -- Javier Fernandez-Sanguino Pen~a <jfs@debian.org>  Fri, 18 Feb 2011 19:31:05 +0100
