=== debian/control ===
--- 
+++ 
@@ -4,11 +4,12 @@
 Maintainer: Javier Fernandez-Sanguino Pen~a <jfs@debian.org>
 Build-Depends: debhelper (>= 5)
 Standards-Version: 3.7.2
+Vcs-Browser: http://git.debian.org/?p=collab-maint/ifupdown-extra.git
+Vcs-Git: git://git.debian.org/collab-maint/ifupdown-extra.git
 
 Package: ifupdown-extra
 Architecture: all
-Depends: iproute, ping, netcat, iputils-arping | arping, net-tools, host
-Pre-Depends: dpkg (>= 1.15.7.2)
+Depends: iproute, iputils-ping | ping, netcat, iputils-arping | arping, net-tools, host
 Recommends: ethtool
 Conflicts: debian-goodies (<< 0.39)
 Description: Network scripts for ifupdown
@@ -19,6 +20,10 @@
    - test if default network gateways are reachable.
    - setup default static routes for interfaces.
  .
+ Additionally network static routes can also be defined globally for the
+ system when this is needed (e.g. for 'reject' rules) and will be
+ added after network initialisation.
+ .
  This package also provides 'network-test', a script to test the network
  configuration status by checking:
    - Status of available interface.
