=== debian/rules ===
--- 
+++ 
@@ -50,7 +50,7 @@
 	install -m644 debian/network-routes  $(CURDIR)/debian/ifupdown-extra/etc/network/routes
 	install -m644 debian/network-test-default  $(CURDIR)/debian/ifupdown-extra/etc/default/network-test
 	# Network scripts for ifupdown
-	install -m755 if-up-scripts/check-network-cable  $(CURDIR)/debian/ifupdown-extra/etc/network/if-pre-up.d/00check-network-cable
+	install -m755 if-up-scripts/check-network-cable  $(CURDIR)/debian/ifupdown-extra/etc/network/if-up.d/00check-network-cable
 	install -m755 if-up-scripts/check-duplicate-ip  $(CURDIR)/debian/ifupdown-extra/etc/network/if-up.d/10check-duplicate-ip
 	install -m755 if-up-scripts/static-routes  $(CURDIR)/debian/ifupdown-extra/etc/network/if-up.d/20static-routes
 	install -m755 if-up-scripts/check-gateway  $(CURDIR)/debian/ifupdown-extra/etc/network/if-up.d/30check-gateway
@@ -71,6 +71,7 @@
 	dh_installexamples
 #	dh_installcron
 	dh_installman scripts/network-test.1
+	dh_installinit --name=networking-routes --no-start -- start 41 S . 
 	dh_link
 	dh_strip
 	dh_compress
