## ifupdown-extra 0.22

=== debian/changelog ===
ifupdown-extra (0.22) unstable; urgency=low

  [ Javier Fernández-Sanguino Peña ]
  * if-up-scripts/check-duplicate-ip:
     - Do not pass aliased interface information to arping since it cannot
       handle it properly (Closes: #644891)
  * Handle the configuration file through the use of dpkg-maintscript-helper
    instead of moving it directly to prevent dpkg from raising a conffile
    change prompt on upgrades even if the user has          not made any
    changes. 

 -- Javier Fernández-Sanguino Peña <jfs@debian.org>  Fri, 14 Oct 2011 00:38:29 +0200

ifupdown-extra (0.21) unstable; urgency=low

  * Fix argument passing in function (Closes: #641312)
  * if-up-scripts/check-network-cable:
    - Do not run the 'ip' tool until we have verified that it is
    available
  * debian/source/lintian-overrides: Add overrides for lintian, required
    since debian/changelog is in UTF-8 format but debian/control is not

 -- Javier Fernández-Sanguino Peña <jfs@debian.org>  Mon, 12 Sep 2011 22:47:26 +0200

ifupdown-extra (0.20) unstable; urgency=low

  * if-up-scripts/check-gateway,if-up-scripts/check-network-cable,scripts/network-test:
    Make dash happy by declaring the local variables at the beginning of each
    function (Closes: #639889)
  * if-up-scripts/check-network-cable:
     - Do not use ethtool or mii-tool if we are not running as root
  * if-up-scripts/check-duplicate-ip,if-up-scripts/check-gateway,if-up-scripts/check-network-cable,scripts/network-test:
     Proper quoting of shell-escaped variables

 -- Javier Fernández-Sanguino Peña <jfs@debian.org>  Thu, 01 Sep 2011 10:26:30 +0200

ifupdown-extra (0.19) unstable; urgency=low

  * debian/control: Fix url in Vcs-git
  * scripts/network-test: 
    - Handle interfaces reported by 'ip' as being subinterfaces of others
      (such as the case of VLAN interfaces). (Closes: #636474)
    - Better handle the case when some of the tools used fail to work
    - Separate specific check for the default route and its router(s)
    - Do not test the loopback interface twice
    - Better detection for 'DOWN' interfaces through 'ip'
  * scripts/network-test.1: Improve the manpage with more documentation
    of how it works
  * if-up-scripts/check-network-cable: Use 'ip link' if neither
    ethtool no mii-tool are available and try to handle some of the 
    cases ip link nows about. Although it might not be as reliable
    as the others (Closes: #630137)
  * debian/ifupdown-extra.preinst: Add debhelper token, as required
  * debian/compat, debian/rules: Switch over to use debhelper version 7
    which bastly simplifies debian/rules and also fixes many lintian 
    warnings.
  * debian/control: 
      - Depend on debhelper v7
      - Update Standards Version to 3.9.2 (no changes needed)

 -- Javier Fernández-Sanguino Peña <jfs@debian.org>  Fri, 12 Aug 2011 03:14:20 +0200
