=== debian/control ===
--- 
+++ 
@@ -2,14 +2,15 @@
 Section: admin
 Priority: optional
 Maintainer: Javier Fernandez-Sanguino Pen~a <jfs@debian.org>
-Build-Depends: debhelper (>= 5)
-Standards-Version: 3.7.2
+Build-Depends: debhelper (>= 7)
+Standards-Version: 3.9.2
 Vcs-Browser: http://git.debian.org/?p=collab-maint/ifupdown-extra.git
-Vcs-Git: git://git.debian.org/collab-maint/ifupdown-extra.git
+Vcs-Git: git://git.debian.org/git/collab-maint/ifupdown-extra.git
 
 Package: ifupdown-extra
 Architecture: all
-Depends: iproute, iputils-ping | ping, netcat, iputils-arping | arping, net-tools, host
+Depends: iproute, iputils-ping | ping, netcat, iputils-arping | arping, net-tools, host, ${misc:Depends}
+Pre-Depends: dpkg (>= 1.15.7.2)
 Recommends: ethtool
 Conflicts: debian-goodies (<< 0.39)
 Description: Network scripts for ifupdown
