## ifupdown-extra 0.24

=== debian/changelog ===
ifupdown-extra (0.24) unstable; urgency=medium

  * if-up-scripts/check-gateway:
      - Fix typo in script that causes grep call to fail miserably
      (Closes: 726505, 726816)
  * debian/control:
      - Add dependency on dh-python, as indicated in
        https://wiki.debian.org/Python/TransitionToDHPython

 -- Javier Fernández-Sanguino Peña <jfs@debian.org>  Mon, 21 Oct 2013 18:34:17 +0200

ifupdown-extra (0.23) unstable; urgency=low

  * if-up-scripts/check-duplicate-ip:
     - Manage redirections properly, the code causes invocation errors if using
       iputil's arping (Closes: 632210)
     - Harmonise call to external programs in shell script
  * if-up-scripts/check-network-cable:
     - Fix spacing and some other minor shell scripts (Closes: 641923)
  * if-up-scripts/check-gateway:
     - Harmonise call to external programs in shell script
  * debian/control: Rename iproute to iproute2, since the former is a
    transitional package that will be removed in Jessie+1

 -- Javier Fernández-Sanguino Peña <jfs@debian.org>  Wed, 25 Sep 2013 18:35:23 +0200
