=== debian/control ===
--- 
+++ 
@@ -1,15 +1,15 @@
 Source: ifupdown-extra
 Section: admin
 Priority: optional
-Maintainer: Javier Fernandez-Sanguino Pen~a <jfs@debian.org>
-Build-Depends: debhelper (>= 7)
+Maintainer: Javier Fernandez-Sanguino Peña <jfs@debian.org>
+Build-Depends: debhelper (>= 7), dh-python
 Standards-Version: 3.9.2
 Vcs-Browser: http://git.debian.org/?p=collab-maint/ifupdown-extra.git
 Vcs-Git: git://git.debian.org/git/collab-maint/ifupdown-extra.git
 
 Package: ifupdown-extra
 Architecture: all
-Depends: iproute, iputils-ping | ping, netcat, iputils-arping | arping, net-tools, host, ${misc:Depends}
+Depends: iproute2, iputils-ping | ping, netcat, iputils-arping | arping, net-tools, host, ${misc:Depends}
 Pre-Depends: dpkg (>= 1.15.7.2)
 Recommends: ethtool
 Conflicts: debian-goodies (<< 0.39)
