## ifupdown-extra 0.25

=== debian/changelog ===
ifupdown-extra (0.25) unstable; urgency=medium

  * debian/control: 
    - Add curl to dependencies
    - Update Standards Version
  * scripts/network-test: 
    - Fix error in output
    - Add tests to determine if the system is connected to the Internet
      (using the new http://network-test.debian.org/ Debian Network
      test system)
    - Add test to determine the system's public IP address

 -- Javier Fernández-Sanguino Peña <jfs@debian.org>  Thu, 10 Apr 2014 01:25:07 +0200
