=== debian/control ===
--- 
+++ 
@@ -3,13 +3,13 @@
 Priority: optional
 Maintainer: Javier Fernandez-Sanguino Peña <jfs@debian.org>
 Build-Depends: debhelper (>= 7), dh-python
-Standards-Version: 3.9.2
+Standards-Version: 3.9.5
 Vcs-Browser: http://git.debian.org/?p=collab-maint/ifupdown-extra.git
 Vcs-Git: git://git.debian.org/git/collab-maint/ifupdown-extra.git
 
 Package: ifupdown-extra
 Architecture: all
-Depends: iproute2, iputils-ping | ping, netcat, iputils-arping | arping, net-tools, host, ${misc:Depends}
+Depends: iproute2, iputils-ping | ping, netcat, iputils-arping | arping, net-tools, host, curl, ${misc:Depends}
 Pre-Depends: dpkg (>= 1.15.7.2)
 Recommends: ethtool
 Conflicts: debian-goodies (<< 0.39)
