## ifupdown-extra 0.26

=== debian/changelog ===
ifupdown-extra (0.26) unstable; urgency=medium

  * if-up-scripts/check-duplicate-ip:
    - Add code to ensure that we skip IPv6 addresses if found
    (Closes: 758700)
    - Do not exit with error to prevent having an interface
      marked as unconfigured
  * if-up-scripts/check-duplicate-ip6:
    - New script to test for duplicate IPv6 assignment using ndisc6
  * if-up-scripts/check-network-cable:
    - Fix the definition of LINK which fails due to variable name
    (Closes: #758798) (LP: 1397965)
  * if-up-scripts/check-network-cable:
    - Do not exit with error to prevent having an interface
      marked as unconfigured
  * debian/ifupdown-extra.networking-routes.init:
    - Fix management of routes defined with an interface and with "any" as an
      interface. Also, use 'ip route' instead of the obsolete 'route' command.
      Thanks to Steve Wray for the patch. (Closes: #794846)
  * scripts/network-test: 
    - Fix logic so that it reports properly when only some, but not all,
      nameservers are failing. Thanks to Gregor Zattler for the patch
      that fixes the evaluation logic (Closes: #764529)
  * debian/control: 
    - Add ndisc6 to Recommends:
    - Mention that the scripts now test also IPv6 addressing

 -- Javier Fernández-Sanguino Peña <jfs@debian.org>  Fri, 05 Feb 2016 23:41:39 +0100
