=== debian/control ===
--- 
+++ 
@@ -11,13 +11,13 @@
 Architecture: all
 Depends: iproute2, iputils-ping | ping, netcat, iputils-arping | arping, net-tools, host, curl, ${misc:Depends}
 Pre-Depends: dpkg (>= 1.15.7.2)
-Recommends: ethtool
+Recommends: ethtool, ndisc6
 Conflicts: debian-goodies (<< 0.39)
 Description: Network scripts for ifupdown
  This package provides a set of network testing scripts to be used together
  with the ifupdown package. These scripts can:
    - check the network cable before an interface is configured.
-   - test if an assigned IP address is already in use in the network.
+   - test if an assigned IPv4 or IPv6 address is already in use in the network.
    - test if default network gateways are reachable.
    - setup default static routes for interfaces.
  .
