=== debian/rules ===
--- 
+++ 
@@ -20,6 +20,7 @@
 	# Network scripts for ifupdown
 	install -m755 if-up-scripts/check-network-cable  $(CURDIR)/debian/ifupdown-extra/etc/network/if-up.d/00check-network-cable
 	install -m755 if-up-scripts/check-duplicate-ip  $(CURDIR)/debian/ifupdown-extra/etc/network/if-up.d/10check-duplicate-ip
+	install -m755 if-up-scripts/check-duplicate-ip6  $(CURDIR)/debian/ifupdown-extra/etc/network/if-up.d/10check-duplicate-ip6
 	install -m755 if-up-scripts/static-routes  $(CURDIR)/debian/ifupdown-extra/etc/network/if-up.d/20static-routes
 	install -m755 if-up-scripts/check-gateway  $(CURDIR)/debian/ifupdown-extra/etc/network/if-up.d/30check-gateway
 	# Other programs
