## ifupdown-extra 0.27

=== debian/changelog ===
ifupdown-extra (0.27) unstable; urgency=medium

  * scripts/network-test: 
    - Fix error in script that prevented it from locating the transmitted
      and received packets from the output of 'ip addr show'
    - Change URL test from http:///network-test.debian.org/moo to
      http://network-test.debian.org/nm and adjust MD5sum accordingly
  * debian/networking-routes.service: Add a systemd service defining
      the proper order expected for this service (Closes: #796622)
  * if-up-scripts/check-network-cable: Use fixes provided by Timur I. Bakeyev
      to the script that fix the errors when running using dash 
      (Closes: 818276)

 -- Javier Fernández-Sanguino Peña <jfs@debian.org>  Sat, 28 May 2016 23:10:17 +0200
