=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Javier Fernandez-Sanguino Peña <jfs@debian.org>
 Build-Depends: debhelper (>= 7), dh-python
-Standards-Version: 3.9.5
+Standards-Version: 3.9.8
 Vcs-Browser: http://git.debian.org/?p=collab-maint/ifupdown-extra.git
 Vcs-Git: git://git.debian.org/git/collab-maint/ifupdown-extra.git
