=== debian/rules ===
--- 
+++ 
@@ -12,8 +12,8 @@
 %:
 	dh $@ 
 
-install: build
-	dh binary --until dh_installdirs
+override_dh_install: 
+	dh_install
 	# Configuration files
 	install -m644 debian/network-routes  $(CURDIR)/debian/ifupdown-extra/etc/network/routes
 	install -m644 debian/network-test-default  $(CURDIR)/debian/ifupdown-extra/etc/default/network-test
@@ -23,11 +23,11 @@
 	install -m755 if-up-scripts/check-duplicate-ip6  $(CURDIR)/debian/ifupdown-extra/etc/network/if-up.d/10check-duplicate-ip6
 	install -m755 if-up-scripts/static-routes  $(CURDIR)/debian/ifupdown-extra/etc/network/if-up.d/20static-routes
 	install -m755 if-up-scripts/check-gateway  $(CURDIR)/debian/ifupdown-extra/etc/network/if-up.d/30check-gateway
-	# Other programs
-	install -m755 scripts/network-test  $(CURDIR)/debian/ifupdown-extra/usr/bin/network-test
-	dh_installman -i scripts/network-test.1
+	# Serviced Unit file
+	install -m755 debian/networking-routes.service $(CURDIR)/debian/ifupdown-extra/lib/systemd/system/
+
+override_dh_installinit:
+	dh_installinit
 	dh_installinit --name=networking-routes --no-start -- start 41 S . 
 
-binary: install
-	dh binary --after dh_installdirs
