## ifupdown-extra 0.28

=== debian/changelog ===
ifupdown-extra (0.28) unstable; urgency=medium

  * scripts/network-test: 
    - Do not print IP address if we have not been able to determine it
    - Remove quote in comment to avoid false positive when running through
      check bashisms
  * if-up-scripts/check-duplicate-ip: Remove quote from comment to
     avoid false positive when running through check bashisms
  * debian/compat: Update to debhelper compatibility version 11
  * debian/ifupdown-extra.networking-routes.init: Add status check in the
     script
  * debian/control: 
     - Add dependency on lsb-base (fix lintian error)
     - Upgrade to debian policy 4.1.3, no changes required
     - Use https in Vcs-Browser
  * debian/rules: Do not set executable bit in service file (lintian fix)

 -- Javier Fernández-Sanguino Peña <jfs@debian.org>  Tue, 06 Feb 2018 22:04:56 +0100
