=== debian/control ===
--- 
+++ 
@@ -2,14 +2,14 @@
 Section: admin
 Priority: optional
 Maintainer: Javier Fernandez-Sanguino Peña <jfs@debian.org>
-Build-Depends: debhelper (>= 7), dh-python
-Standards-Version: 3.9.8
-Vcs-Browser: http://git.debian.org/?p=collab-maint/ifupdown-extra.git
+Build-Depends: debhelper (>= 11), dh-python
+Standards-Version: 4.1.3
+Vcs-Browser: https://git.debian.org/?p=collab-maint/ifupdown-extra.git
 Vcs-Git: git://git.debian.org/git/collab-maint/ifupdown-extra.git
 
 Package: ifupdown-extra
 Architecture: all
-Depends: iproute2, iputils-ping | ping, netcat, iputils-arping | arping, net-tools, host, curl, ${misc:Depends}
+Depends: lsb-base, iproute2, iputils-ping | ping, netcat, iputils-arping | arping, net-tools, host, curl, ${misc:Depends}
 Pre-Depends: dpkg (>= 1.15.7.2)
 Recommends: ethtool, ndisc6
 Conflicts: debian-goodies (<< 0.39)
