=== debian/rules ===
--- 
+++ 
@@ -24,7 +24,7 @@
 	install -m755 if-up-scripts/static-routes  $(CURDIR)/debian/ifupdown-extra/etc/network/if-up.d/20static-routes
 	install -m755 if-up-scripts/check-gateway  $(CURDIR)/debian/ifupdown-extra/etc/network/if-up.d/30check-gateway
 	# Serviced Unit file
-	install -m755 debian/networking-routes.service $(CURDIR)/debian/ifupdown-extra/lib/systemd/system/
+	install -m644 debian/networking-routes.service $(CURDIR)/debian/ifupdown-extra/lib/systemd/system/
 
 override_dh_installinit:
 	dh_installinit
