## ifupdown-extra 0.29

=== debian/changelog ===
ifupdown-extra (0.29) unstable; urgency=medium

  * scripts/static-route: 
    - Add static routes at boot by accepting --all when the script is called,
      thanks Matus Uhlar for the patch (Closes: 901612) 
    - Use 'ip route' instead of route to blackhole routes (Closes: #961892)
  * scripts/check-duplicate-ip: Fix redirect typo, thanks Libor Klepac for
    the patch (Closes: 926865)

 -- Javier Fernández-Sanguino Peña <jfs@debian.org>  Sat, 15 Aug 2020 01:10:41 +0200
