## ifupdown-extra 0.31

=== debian/changelog ===
ifupdown-extra (0.31) unstable; urgency=medium

  * Fix some network scripts to adapt to the naming scheme introduced 
    in v197 of systemd (in Debian 5 Lenny) in which Ethernet interfaces
    can be named 'enXXX' instead of 'ethXX'. This was preventing many
    scripts to work properly as they skipped interfaces that were not 
    named 'ethXXX'. Thank you to Mart Lubbers for spotting this and providing
    a patch (Closes: 970359)

    Scripts modified:
      - if-up-scripts/check-duplicate-ip and
        if-up-scripts/check-duplicate-ip6: 
          * Replace the use of ETHTOOL with 'ip link xxx up' so it does not
            anymore need to be restricted to Ethernet addreses. 
          * Do nothing if the interface is a serial line or WWAN interface,
            but work on any other interface as long as the conditions are met.
      - if-up-scripts/check-duplicate-ip6: Improve the logic to not report
        if the local link address reported by ndisc6 is the same as the
        link address of the interface (it appears to happen in my system
        in Wireless interfaces)

      - if-up-scripts/check-gateway:
          * Replace the use of ETHTOOL with 'ip link xxx up'
          * Skip serial line interfaces as ARPPING will not work there

      - if-up-scripts/check-network-cable:
          * Implement a generic test for all non-Ethernet and non-Bond
            interfaces just using 'ip link xxxx up' 
          * Work with the new interface naming scheme ( en* | eth*) and
            restrict the use of ethtool or mii-tool to Ethernet interfaces 
          * Make it possible to disable the script through configuration
            in /etc/default/network-test (DO_CABLETEST)
        
       - scripts/network-test
          * Implement a generic test for all non-Ethernet
            interfaces just using 'ip link xxxx up' 
          * Work with the new interface naming scheme ( en* | eth*) and
            restrict the use of ethtool or mii-tool to Ethernet interfaces 
          * Replace the IPv4 lookup tool as it is not working anymore
          * Add Debug option (-v 4) to output all the information generated
            from the different commands analysed
          * Add a query to GeoIP API (only enabled if full debug is enabled)

  * scripts/network-test: 
     - Add documentation about the different options available to run the
       script (including verbosity levels)
     - Include information of additional external services introduced in this
       release (IPv6 and GeoIP info)

  * debian/network-test-default: Introduce an option (DO_CABLETEST) to make it
    possible for system administrators to disable the 
    /etc/network/if-up.d/00check-network-cable script if it shows up errors
    in their systems.
     
  * debian/README: Give some information on the package and scripts as 
    well as describe some known limitations - if an admin renames interfaces
    for his convenience some scripts might not work properly.

 -- Javier Fernández-Sanguino Peña <jfs@debian.org>  Sat, 19 Sep 2020 09:09:41 +0200

ifupdown-extra (0.30) unstable; urgency=medium

  * debian/control: Replace netcat with netcat-openbsd | ncat 
    (Closes: #969238)
  * scripts/network-test: Direct users to install netcat-openbsd if the 'nc'
    command is not found

 -- Javier Fernández-Sanguino Peña <jfs@debian.org>  Tue, 01 Sep 2020 11:43:53 +0200
