## ifupdown-extra 0.32

=== debian/changelog ===
ifupdown-extra (0.32) unstable; urgency=high

  * if-up-scripts/static-routes:
     - Fix syntax error in script which causes routes added to be converted
       into "blackhole" routes (Closes: 987310)
     - Fail properly if the inteface (IFACE) is not defined when the script
       is called
     - Use route -n instead of 'route' to properly identify status of routes
       when the gateways are in the hosts file
  * debian/README: Describe caveats related to network link tests

 -- Javier Fernández-Sanguino Peña <jfs@debian.org>  Thu, 03 Jun 2021 08:13:30 +0200
