## ifupdown-extra 0.33

=== debian/changelog ===
ifupdown-extra (0.33) unstable; urgency=medium

  * if-up-scripts/check-duplicate-ip6: Fix hardcoded value of interface in script
    (was using 'wlan0'), thanks to  Matti Kurkela for spotting this and 
    providing a patch (Closes: #992350)
  * debian/networking-routes.service: 
      - Remove incorrect After definition which was causing a cycle in systemd
        and lead to delays in network start (Closes: #991135)
      - Make this service start after network-online.target as this is what in
        general will be desirable (i.e. after interfaces are configured and
        defined), as I understand from
        https://www.freedesktop.org/wiki/Software/systemd/NetworkTarget/
        this is the right target for setting up new routes
        (in the network.target interfaces might not be yet configured)

 -- Javier Fernández-Sanguino Peña <jfs@debian.org>  Sun, 05 Sep 2021 21:45:22 +0200
