=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
 
 Package: ifupdown-extra
 Architecture: all
-Depends: lsb-base, iproute2, iputils-ping | ping, netcat, iputils-arping | arping, net-tools, host, curl, ${misc:Depends}
+Depends: lsb-base, iproute2, iputils-ping | ping, netcat-openbsd | ncat, iputils-arping | arping, net-tools, host, curl, ${misc:Depends}
 Pre-Depends: dpkg (>= 1.15.7.2)
 Recommends: ethtool, ndisc6
 Conflicts: debian-goodies (<< 0.39)
