## ifupdown-extra 0.33+nmu2

=== debian/changelog ===
ifupdown-extra (0.33+nmu2) unstable; urgency=medium

  * Non-maintainer upload
  * Convert to source format 3.0 (Closes: #1007497)
  * d/copyright: Convert to machine-readable format
  * Remove unnecessary lintian overrides
  * Drop B-D lsb-base
  * Remove versioned conflict

  [ Jelmer Vernooij ]
  * Migrate repository from alioth to salsa

 -- Bastian Germann <bage@debian.org>  Mon, 25 Mar 2024 20:05:07 +0000
