## ifupdown-extra 0.33+nmu3

=== debian/changelog ===
ifupdown-extra (0.33+nmu3) unstable; urgency=medium

  * Non-maintainer upload.
  * Install systemd unit into /usr/lib (DEP17). (Closes: #1073705)

 -- Chris Hofstaedtler <zeha@debian.org>  Sat, 03 Aug 2024 14:37:24 +0200
