=== debian/control ===
--- 
+++ 
@@ -4,15 +4,14 @@
 Maintainer: Javier Fernandez-Sanguino Peña <jfs@debian.org>
 Build-Depends: debhelper (>= 11), dh-python
 Standards-Version: 4.1.3
-Vcs-Browser: https://git.debian.org/?p=collab-maint/ifupdown-extra.git
-Vcs-Git: git://git.debian.org/git/collab-maint/ifupdown-extra.git
+Vcs-Browser: https://salsa.debian.org/debian/ifupdown-extra
+Vcs-Git: https://salsa.debian.org/debian/ifupdown-extra.git
 
 Package: ifupdown-extra
 Architecture: all
-Depends: lsb-base, iproute2, iputils-ping | ping, netcat-openbsd | ncat, iputils-arping | arping, net-tools, host, curl, ${misc:Depends}
+Depends: iproute2, iputils-ping | ping, netcat-openbsd | ncat, iputils-arping | arping, net-tools, host, curl, ${misc:Depends}
 Pre-Depends: dpkg (>= 1.15.7.2)
 Recommends: ethtool, ndisc6
-Conflicts: debian-goodies (<< 0.39)
 Description: Network scripts for ifupdown
  This package provides a set of network testing scripts to be used together
  with the ifupdown package. These scripts can:
