## ifupdown-extra 0.34

=== debian/changelog ===
ifupdown-extra (0.34) unstable; urgency=medium

  * Acknowledge NMUs (Closes: #1073705, Closes: #1007497)
  * if-up-scripts/check-duplicate-ip:
      - Fix error in which arping would incorrecly detect duplicates by using
        the lowercase options of the variables if using arping from the
        'arping' package. Thanks to Alex Volkov for spotting this and providing
        a patch (Closes: #993877)
      - Handle the case when ARP_TIMEOUT is too low and we are trying to use
        arping from the 'arping' package.
      - Use bash to avoid error 'cannot create /dev/stdout: No such device or
        address' (Closes: #1030979, #993826)
      - Prevent errors when redirecting stdout by using quiet mode in both
        versions of arping. Handle differences in behaviour of arping, using
        patch provided by Matus UHLAR - fantomas (Closes: #1003161, #993826)
   * if-up-scripts/{check-network-cable,check-duplicate-ip,check-gateway}: Do nothing if
     called with --all as IFACE (Closes: #1030976, #993826)
   * debian/network-test-default: Change the default logging to NO as the
     scripts output is sent to syslog anyway (Closes: 1030977)
   * debian/control
        - Set Rules-Requires-Root to 'no'
        - Updated Standards-Version and debhelper compatibility version

 -- Javier Fernández-Sanguino Peña <jfs@debian.org>  Tue, 01 Oct 2024 03:06:45 +0200
