=== debian/control ===
--- 
+++ 
@@ -2,10 +2,11 @@
 Section: admin
 Priority: optional
 Maintainer: Javier Fernandez-Sanguino Peña <jfs@debian.org>
-Build-Depends: debhelper (>= 11), dh-python
-Standards-Version: 4.1.3
+Build-Depends: debhelper-compat (= 13), dh-python
+Standards-Version: 4.6.0.1
 Vcs-Browser: https://salsa.debian.org/debian/ifupdown-extra
 Vcs-Git: https://salsa.debian.org/debian/ifupdown-extra.git
+Rules-Requires-Root: no
 
 Package: ifupdown-extra
 Architecture: all
