## ifupdown-extra 0.34build1

=== debian/changelog ===
ifupdown-extra (0.34build1) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 21 Jan 2026 19:37:58 +0000
